Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  ReferenzParts eines Constraints (Beziehung) ermitteln

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:  ReferenzParts eines Constraints (Beziehung) ermitteln (2133 mal gelesen)
Florian.Held
Mitglied
Konstruktiver Spritzer (Konstruktion Spritzguss)


Sehen Sie sich das Profil von Florian.Held an!   Senden Sie eine Private Message an Florian.Held  Schreiben Sie einen Gästebucheintrag für Florian.Held

Beiträge: 35
Registriert: 13.07.2005

CATIA R14 SP5 unter WinXP64 und Unix (vbscript)

erstellt am: 07. Sep. 2005 12:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich bin im Produkt und durchlaufe mit einer Schleife die Bedingungen, über die die Parts zueinander Positioniert wurden.

Was ich möchte ist dass mir mein Makro zu einer jeden Bedingung sagt, zwischen welchen beiden Referenzelementen sie gilt (z.B. Offset von 30mm zwischen Part1 und Part2).

Hier mein Code:

Sub CATMain()

Set productDocument1 = CATIA.ActiveDocument
Set product1 = productDocument1.Product
Set constraints1 = product1.Connections("CATIAConstraints")

for i = 1 to constraints1.count
' Name des Ersten Constraint-Elementes
msgbox constraints1.item(i).GetConstraintElement(1).name

' Names des Elementes, auf dem sich der erste Constraint bezieht (z.B. Part1)
msgbox constraints1.item(i). ???

End sub

Weis da jemand mit welcher Methode ich auf den Namen zugreifen kann? Vielleicht mit mit
constraints1.item(i).GetConstraintElement(1).irgendwas???

Danke schon mal für eure Zuschriften!

------------------
Es gibt nichts langweiligeres als ein vollständiges, stabil laufendes Catia...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CTenschert
Mitglied
Wissenschaftlicher Mitarbeiter


Sehen Sie sich das Profil von CTenschert an!   Senden Sie eine Private Message an CTenschert  Schreiben Sie einen Gästebucheintrag für CTenschert

Beiträge: 67
Registriert: 04.09.2000

erstellt am: 07. Sep. 2005 16:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Florian.Held 10 Unities + Antwort hilfreich

Ein Beispiel sagt mehr als tausend Worte:

' **************************************************
' * VBA Makro
' * Version        0.9
' * Beispiel        Makro zum Anzeigen von Bedingungen
' * Geschreiben von Carl Tenschert
' * Datum          07.09.2005
' * System          Win 2K Catia V5 R12 Sp 5
' **************************************************

Sub CATMain()
Dim myProductDocument As ProductDocument
Set myProductDocument = CATIA.ActiveDocument
Dim myProduct As Product
Set myProduct = myProductDocument.Product
Dim myConstraints As Constraints
Set myConstraints = myProduct.Connections("CATIAConstraints")
Dim myConstraint As Constraint
For i = 1 To myConstraints.Count
    Set myConstraint = myConstraints.Item(i)
        Select Case myConstraint.ReferenceType
            Case catCstRefTypeFixInSpace ' = 1
                MsgBox ("Im Raum Fixiert " & myConstraint.GetConstraintElement(1).DisplayName)
            Case catCstRefTypeRelative ' = 0
                Select Case myConstraint.Type
                    Case catCstTypeOn ' = 2
                        MsgBox ("Kongruenz zwischen " & myConstraint.GetConstraintElement(1).DisplayName & " und " & myConstraint.GetConstraintElement(2).DisplayName)
                    Case catCstTypeDistance ' = 1
                        MsgBox ("Offset zwischen " & myConstraint.GetConstraintElement(1).DisplayName & " und " & myConstraint.GetConstraintElement(2).DisplayName)
                End Select
        End Select
Next
End Sub
' ************* Ende *****************
Fertige Makros Sammle ich übrigends ;-)

------------------
Mit freundlichem Gruß von Carl Tenschert

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Florian.Held
Mitglied
Konstruktiver Spritzer (Konstruktion Spritzguss)


Sehen Sie sich das Profil von Florian.Held an!   Senden Sie eine Private Message an Florian.Held  Schreiben Sie einen Gästebucheintrag für Florian.Held

Beiträge: 35
Registriert: 13.07.2005

CATIA R14 SP5 unter WinXP64 und Unix (vbscript)

erstellt am: 07. Okt. 2005 19:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Oh, danke für dass Beispiel!

Und Sorry dafür dass ich erst jetzt wieder drauf gestoßen bin aber mein Prob hatte ne Auszeit ;-)

Danke nochmal für die Hilfe!

------------------
Es gibt nichts langweiligeres als ein vollständiges, stabil laufendes Catia...

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

nadde
Mitglied
Studentin


Sehen Sie sich das Profil von nadde an!   Senden Sie eine Private Message an nadde  Schreiben Sie einen Gästebucheintrag für nadde

Beiträge: 13
Registriert: 14.05.2014

CATIA V5R20
Microsoft Visual Studio 2010
MATAB R2013b

erstellt am: 26. Jun. 2014 10:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Florian.Held 10 Unities + Antwort hilfreich

Hey!

Und gibt es auch eine Möglichkeit die geometrischen Elemente, wie Flächen oder Linien, die an dem constraint beteiligt sind, auszulesen? Also nicht nur die Parts, sondern auch die Flächen oder Linien dieser Parts?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lionel Hutz
Mitglied



Sehen Sie sich das Profil von Lionel Hutz an!   Senden Sie eine Private Message an Lionel Hutz  Schreiben Sie einen Gästebucheintrag für Lionel Hutz

Beiträge: 363
Registriert: 26.03.2014

CATIA V5 R20

erstellt am: 26. Aug. 2020 13:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Florian.Held 10 Unities + Antwort hilfreich

Der Vollständigkeit halber, da ich in diesem Bereich auch suche bin ich auf diesen Beitrag gestoßen:
https://stackoverflow.com/questions/30383561/finding-components-of-constraint-in-catia-via-macro

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2023 CAD.de | Impressum | Datenschutz